Skip to content
Go to Micro

Patch object

PATCH/v2/prism/{teamId}/action/{actionId}

Patch object

Path ParametersExpand Collapse
teamId: optional string
formatuuid
actionId: string
formatuuid
Header ParametersExpand Collapse
"Idempotency-Key": optional string
minLength1
maxLength255
"If-Match": optional string
Body ParametersJSONExpand Collapse
default: optional map[unknown]

Properties keyed by property slug. Values can be strings, numbers, booleans, arrays, or null. For select/multiselect properties, values may be option slugs or option UUIDs on write; option slugs are returned on read.

list: optional unknown
ReturnsExpand Collapse
id: string
formatuuid
default: optional map[unknown]

Properties keyed by property slug.

list: optional unknown

Patch object

curl https://developers.micro.so/v2/prism/$TEAM_ID/action/$ACTION_ID \
    -X PATCH \
    -H 'Content-Type: application/json' \
    -H "x-api-key: $MICRO_API_KEY" \
    -d '{}'
{
  "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
  "default": {
    "foo": "bar"
  },
  "list": {}
}
Returns Examples
{
  "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
  "default": {
    "foo": "bar"
  },
  "list": {}
}